Subject: Re: #1047 Path-identity: A proposal (perhaps)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 01 Jul 2005 13:43:26 +0200

--On torsdag, juni 30, 2005 08:26:25 -0700 John Stanley <[email-masked]> 
wrote:

> Harald Tveit Alvestrand <harald@xxxxxxxxxxxxx>:
>
>> There are only 3 ways I see to get rid of the : character:
>
>> - Stop putting domain-literals in Path: at all (seems unacceptable)
>> - Encode IPv6 addresses differently (seems unacceptable)
>> - Treat IPv6 and IPv4 differently (seems unacceptable)
>
>> If you've eliminated the impossible, what you're left with.....
>
> How did we leap from "seems unacceptable" to "impossible"?

sorry, I was quoting Sherlock Holmes without using quotation marks.... the 
full sentence is "when you have excluded the impossible, whatever remains, 
however improbable, must be the truth" - see 
<http://en.wikiquote.org/wiki/Sherlock_Holmes> for references.

> Let's see. We're stuck with legacy apps that are unlikely to change their
> method of parsing a Path header overnight, all based on a pesky colon. But
> the "standard" means of representing an IPv6 address uses colons. What do
> we do?
>
> Hmmm. How about simply eliminating the colons (and the effects) from the
> IPv6 address literal? Bingo -- a 16 character "path-identity" without
> any punctuation. No need for the :: shorthand, people aren't typing it in
> over and over again.

That's option 2 above, one particular variant. Any callers?
(It was tried when discussing IPv6 literals in URIs. Lost there.)

---

From: John Stanley <[email-masked]>
Date: Fri, 1 Jul 2005 17:51:38 -0700 (PDT)

"Charles Lindsey" <chl@xxxxxxxxxxxxxxxx>:

>   News-servers need to identify themselves by inserting their public
>   name, in the form of a <path-identity> (F-3.1.6), into Path,
>   Injection-Info and Xref headers. An injecting agent MUST identify
>   itself with the same <path-identity> in both Path and Injection-Info
>   headers.  To ensure that a <path-identity> provides a unique identity
>   for the news-server concerned, it SHOULD be one of: ..........

s/headers/header fields/g;

>>Global uniqueness is an interoperability requirement ("to work properly");
>>s/must/MUST/ would make that clear.

>I think the USEPRO text above covers that.

There is no MUST regarding uniqueness. There is only a SHOULD as to what 
it is "one of".